Appfuel::Initialize.define('global.message_broker') do |config, container|
  unless config.key?(:sneakers)
    fail "[initializer message_broker] :sneakers not found"
  end

  unless container['message_brokers.consumer_keys'].is_a?(Array)
    fail "[initializer message_broker] message_broker.consumer_keys " +
         "must be an Array"
  end

  require 'sneakers'
  require 'sneakers/runner'
  require 'sneakers/handlers/maxretry'

  settings = config[:sneakers]
  settings[:log] = settings.delete(:logfile)

  Sneakers.configure(settings)


  container.register("message_brokers.runner_class", Sneakers::Runner)
  nil
end
